<?php

namespace App\Enums;

enum PricelistSellerUnitEnum: string
{
    case csom = 'csom';
    case kart = 'kart';
    case rúd = 'rúd';
    case db = 'db';
    case dob = 'dob';
    case zsák = 'zsák';
    case tálca = 'tálca';
    case kg = 'kg';
    case liter = 'liter';
    case pár = 'pár';
    case tekercs = 'tekercs';

    /**
     * Visszaadja az összes értéket tömbként
     *
     * @return array<string>
     */
    public static function values(): array
    {
        return array_column(self::cases(), 'value');
    }
}
